$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.76.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.76.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C1D1D3ADC692C3E345EB856C4F06337431B2D26FC520CA265A1C96BB3AEBEC39'
  checksumType = 'sha256'
  checksum64 = 'C1D1D3ADC692C3E345EB856C4F06337431B2D26FC520CA265A1C96BB3AEBEC39'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.76-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
